#!/bin/bash
# Scritto e pubblicato il 5 agosto 2012 da Giovanni Ubaldi
# Istruzioni e download: http://www.ubaweb.it/miniguide/autoaggiorna_pagina.php
# Declino ogni responsabilità per problemi o danni di qualsiasia tipo,
# derivanti dall'utilizzo di questo script!

# configurazione: inserire il browser che si vuole utilizzare
browser='firefox'				# browser da utilizzare
memorandum='\tMemorandum (si può usare per il copia-incolla)
\tforum.ubuntu-it.org/viewforum.php?f=70	# progetti comunità Ubuntu
\tforum.ubuntu-it.org/viewtopic.php?f=70&t=562842 # discussione su questo script
\twww.sito_da_ricordare.org\n'

pagina_tmp='/tmp/temp.html'		# dove verrà salvata la pagina temporanea

apri_pagina=$(which $browser)

reset
#verfica connessione

if ! eval "ping -c 1 www.google.com" &>/dev/null
	then
		echo "Devi attivare la connessione per utilizzare questo script!"
		exit
fi


echo "inserisci l'indirizzo della pagina da aggiornare automaticamente (senza http://)"
echo -e '\n\tPer esempio, se: http://forum.ubuntu-it.org/viewforum.php?f=33 
\tinserire:\tforum.ubuntu-it.org/viewforum.php?f=33\t e premere Invio\n\n'

echo -e "$memorandum"

read url
url="http://$url"

ognim=''
echo -e "\nOgni quanti minuti aggiornare la pagina?"
  while ! [[ "$ognim" =~ ^[0-9]+$ ]] 
    do
    echo "(inserire un intero positivo)"
    read ognim
  done 
		
ogni=$((ognim*60))	# minuti->secondi tra un aggiornamento e l'altro



int_browser=''
echo -e "\nQuanto tempo tenere aperta la pagina di $browser? 
\t'0' disattiva apertura e chiusura temporizzata della pagina web!
\t(si apre $browser e termina lo script,
\tla pagina aperta si aggiornerà automaticamente ogni $ognim)"
  while ! [[ "$int_browser" =~ ^[0-9]+$ ]] 
    do
    echo "(inserire un intero positivo)"
    read int_browser
  done 


if [ $int_browser -ne 0 ]
	then
		
		int_browser2=''
		echo -e "\nDopo quanto tempo riaprire la pagina?"
		  while ! [[ "$int_browser2" =~ ^[0-9]+$ ]] 
			do
			echo "(inserire un intero positivo)"
			read int_browser2
		  done 
fi

rm -f $pagina_tmp 2>/dev/null	# elimino l'eventuale vecchia pagina temporanea

pagina=$(cat <<bloccoDiTestoInVariabile
<!DOCTYPE HTML>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="refresh" content="$ogni; URL=$pagina_tmp">
<title>Ricarica la pagina $pagina_tmp</title>
</head>

<frameset rows="0,*" frameborder="NO" border="0" framespacing="0">
	<frame name="top_f" scrolling="NO" noresize >
	<!-- <frame src="http://forum.ubuntu-it.org/viewforum.php?f=33" name="pagina"> -->
	<frame src="$url" name="pagina">
</frameset>
<noframes><body>
</body></noframes>
</html>
bloccoDiTestoInVariabile
)

echo "$pagina"  > $pagina_tmp

if [ $int_browser -ne 0 ]
	then
		echo "Attendere, verrà aperta la pagina..."
		echo "chiusa dopo $int_browser minuti e riaperta dopo $int_browser2."
		echo "La pagina si aggiornerà ogni $ognim minuti"
		echo -e "\n\tCTRL+C per uscire"
		while :
			do
				$apri_pagina "$pagina_tmp" &
				sleep ${int_browser}m
				killall $browser
				sleep ${int_browser2}m
		done
	else
		echo "attendere verrà aperto $browser e terminato lo script"
		$apri_pagina "$pagina_tmp" &
		exit	
fi

exit

